<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zfire.jiasm.syncdata.dao.mapper.OrderInformationNewMapper">

    <select id="getOrderInformation" parameterType="com.zfire.jiasm.syncdata.parameter.OrderPar" resultType="com.zfire.jiasm.syncdata.plus.entity.ItfTblAzAssignXzydUpload">
        select order_base_id as worker_order_no,auto_id as fa_order_install_information_id,sync_id as id,
               create_by,create_time as created_date,update_by as last_modified_by,
               update_time as last_modified_date,0 as xzid,create_by as czren,create_by as czrenmc,
               create_time as czsj,websit_id as wdno,read_status as cshu,remark as xzyq,
               ask_category_id as xzyqlb,read_status as ydbz,read_time as ydsj,
               read_name as ydren,read_name as ydrmc,'' as ydwd,'' as ydwdmc
        from order_information
        where id = #{request.id}
    </select>

    <select id="getOrderInformationrepair" parameterType="com.zfire.jiasm.syncdata.parameter.OrderPar" resultType="com.zfire.jiasm.syncdata.plus.entity.ItfTblAssignXzydUpload">
        select order_base_id as worker_order_no,auto_id as fa_order_repair_information_id,
               xzid,create_by,create_time as created_date,update_by as last_modified_by,
               update_time as last_modified_date,b.pgid,create_by as czren,create_time as czsj,
               websit_id as wdno,read_status as cshu,remark as xzyq,ask_category_id as xzyqlb,
               read_status as ydbz,read_time as ydsj,read_name as ydren,read_name as ydrmc,
               '' as ydwd,'' as ydwdmc
        from order_information
        where a.id = #{request.id}
    </select>

    <update id="upYdid" parameterType="com.zfire.jiasm.syncdata.parameter.OrderPar">
        update order_information set xzid = #{request.xzid}
        where id = #{request.id}
    </update>



</mapper>
